Appearance
frontend search for events with n-gram and fuzzy search capabilities ​
GET
/v1/events/search
Authorizations​
api_key
Type
API Key (header: X-Api-Key)
Parameters​
Query Parameters
sorting
Type
string
Default
nullpage_size
Number of items per page
Type
integer
Default
50page
Current page
Type
integer
Default
1sport_type
Enum: soccer, motorsport, tennis, rugby, darts, horseracing, boxing, other, motogp, formula1, cricket, basketball, combatsport, icehockey, nba, nfl, mlb, watersport, dtm, indycar, superbike, padel, handball, golf, rowing, cycling, sailing
Type
string
Example
"soccer"tournament_type
Enum: cup, league, oneoff
Type
string
Example
"league"date_start
Event start date
Type
string
Example
"2026-09-01"date_stop
Event stop date
Type
string
Example
"2026-10-01"venue_id
Type
string
Example
"7552e5ca74124757be3f4b0dc1687aa9_vnx"event_id
Type
string
Example
"5d3b8b1c916f4a158dc736dc8ef7c97a_evt"tournament_id
Type
string
Example
"6652b082b6d64e92af2794fb1e352e86_trn"team_id
Type
string
Example
"3eae14a18975444a8af9d35f4e978f0e_tms"hometeam_id
Type
string
Example
"3eae14a18975444a8af9d35f4e978f0e_tms"visitingteam_id
Type
string
Example
"12c3564d227044f4a22ea29b3fe806fa_tms"city
Type
string
Example
"London"location_id
Events related to a specific location id (can be venue, city, ..)
Type
string
Example
"2326aaa6494c401ba94e8bf9c0b5de44_ddr"event_status
Enum: cancelled, closed, notstarted, nosale, postponed, soldout
Type
string
Example
"notstarted"country
Country in iso 3 format
Type
string
Example
"GBR"event_name
Type
string
Example
"Arsenal FC vs Luton Town"tournament_name
Type
string
Example
"Premier League"tickets_available
Number of tickets available for this event (on category level)
Type
string
Example
"gt:10"booked
Show only events which have had bookings
Type
boolean
Example
truepopular_events
Show all the popular events
Type
boolean
Example
falseticket_price_eur
Type
string
Example
"lt:100"slug
Seo friendly alternative to uuid
Type
string
Example
"arsenal-fc-vs-luton-town-5d3b8"accept_language
To localize an event in a specific name. Fallback to en
Type
string
Example
"en"season
Season, for example 2026 or 25/26 depending on sport type
Type
string
Example
"25/26"updated
Updated date/datetime to filter on (e.g. ge:2026-09-01 or 2026-09-01T12:00:00)
Type
string
Example
"ge:2026-09-01"created
Created date/datetime to filter on (e.g. ge:2026-09-01 or 2026-09-01T12:00:00)
Type
string
Example
"ge:2026-09-01"query
Search query text for events, teams, or tournaments
Type
string
Example
"AC Milan vs Liverpool"Min Length
0Default
""search_mode
Search mode to control search behavior:
- 'auto': Intelligent search using n-grams with fuzzy fallback (recommended)
- 'exact': Traditional exact-match search only
- 'fuzzy': Fuzzy string matching only
- 'ngram': N-gram token matching only
Type
string
Valid values
"auto""exact""fuzzy""ngram"Example
"auto"Default
"auto"Responses​
OK
application/json
JSON"events": [{"event_id": "5d3b8b1c916f4a158dc736dc8ef7c97a_evt","event_name": "Arsenal FC vs Luton Town","tournament_name": "Premier League","season": "25/26","date_start": "2026-09-15T19:30:00","date_stop": "2026-09-15T21:15:00","event_status": "notstarted","date_confirmed": true,"slug": "formule-1-grand-prix-van-hongarije-2026","date_visibility": "show_datetime"}],"pagination": {"total_size": 1,"page_size": 50,"page_number": 1,"next_page": "string","previous_page": "string"}
{
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
}